/* sock.h -- definitions for socket VxD   
  Copyright 1997-98 Michael Callahan
  Copyright 1999 Carnegie Mellon University
  This program is free software.  You may copy it according
  to the conditions of the GNU General Public License version 2.0
  or later; see the file COPYING in the source directory.
*/

#define SOCKERR_INVALID_PARAM		0x00000100
#define SOCKERR_NO_MEMORY		0x00000200
#define SOCKERR_INVALID_SOCKET		0x00000300
#define SOCKERR_ALREADY_BOUND		0x00000400
#define SOCKERR_NOT_BOUND		0x00000500
#define SOCKERR_ACCESS			0x00000600
#define SOCKERR_INTERNAL		0x00000700
#define SOCKERR_FD_INUSE		0x00000800
#define SOCKERR_INFINITE_WAIT		0x00000900
#define SOCKERR_NOT_CONNECTED		0x00000a00
#define SOCKERR_WOULD_BLOCK		0x00000b00
#define SOCKERR_NOT_LISTENING		0x00000c00
/* Richard Dawe: This'll help with implementing socket options. */
#define SOCKERR_BAD_OPTION		0x00000d00

/* Richard Dawe: Socket options - taken straight from winsock.h - no point
 * using something different? */
#define SO_DEBUG        0x0001          /* turn on debugging info recording */
#define SO_ACCEPTCONN   0x0002          /* socket has had listen() */
#define SO_REUSEADDR    0x0004          /* allow local address reuse */
#define SO_KEEPALIVE    0x0008          /* keep connections alive */
#define SO_DONTROUTE    0x0010          /* just use interface addresses */
#define SO_BROADCAST    0x0020          /* permit sending of broadcast msgs */
#define SO_USELOOPBACK  0x0040          /* bypass hardware when possible */
#define SO_LINGER       0x0080          /* linger on close if data present */
#define SO_OOBINLINE    0x0100          /* leave received OOB data in line */
#define SO_SNDBUF       0x1001          /* send buffer size */
#define SO_RCVBUF       0x1002          /* receive buffer size */
#define SO_SNDLOWAT     0x1003          /* send low-water mark */
#define SO_RCVLOWAT     0x1004          /* receive low-water mark */
#define SO_SNDTIMEO     0x1005          /* send timeout */
#define SO_RCVTIMEO     0x1006          /* receive timeout */
#define SO_ERROR        0x1007          /* get error status and clear */
#define SO_TYPE         0x1008          /* get socket type */
